**** Value labels for IPUMS, Mexico, 1970

**** Copied from : https://international.ipums.org/international-action/variables/MX70A424/codes

** Paul Lambert/Dave Griffiths, Univ. Stirling, 22 October 2010


************************************************


#delimit ; 

capture label drop occlab; 

label define occlab
0	"NIU (not in universe)"
1	"Architects"
2	"Civil engineers and construction engineers"
3	"Industrial engineers"
4	"Mechanical, electrical and electronic engineers"
5	"Engineers: topographical, geologists, geodesy, hydrographical"
6	"Mining, metallurgy and petroleum engineers"
7	"Agricultural engineers"
8	"Chemical engineers"
9	"Other engineers and architects not specified above"
10	"Technicians related to architecture and engineering"
11	"Construction technicians"
12	"Transportation and communications technicians"
13	"Industrial technicians"
14	"Electrical and electronic technicians"
15	"Agricultural technicians"
16	"Chemical technicians"
17	"Other technicians in engineering and architecture not specified above"
20	"Lawyers, economists, accountants, sociologists, professionals in information systems and related social sciences"
21	"Persons with law degrees and lawyers"
22	"Economists"
23	"Accountants"
24	"Administrators"
25	"Sociologists"
27	"Insurance estimators"
28	"Librarians and archivists"
29	"Professionals in the social sciences not specified above"
30	"Technicians related to law, economy, accountant, sociology, information, and related social science"
31	"Technicians in economy and statistics"
32	"Technicians in administration and commerce"
33	"Information technicians"
34	"Library and archive technicians"
35	"Social science technicians not specified above"
40	"Doctors, dentists, veterinarians and related professionals"
41	"Doctors, surgeons, midwives"
42	"Professionals of other branches of medicine"
43	"Dentists"
44	"Veterinary doctors and zoologists"
50	"Technicians in medicine, dentistry, veterinary services and related professionals"
51	"Technicians related to medicine, dentistry, and veterinary services"
60	"Professors, teachers, and education professionals"
61	"University professors, and professors of higher education, include preparatory and education professors"
62	"High school professors"
63	"Elementary professors"
64	"Pre-school professors"
65	"Special education professors"
66	"Physical education, sports, etc. professors"
67	"Professors not classified above"
68	"Professors not sufficiently specified"
80	"Philosophers, historians, psychologists, and related professionals"
82	"Historians"
84	"Anthropologists and demographers"
85	"Sociologists"
87	"Other philosophers, historians, psychologists and similar professionals not classified above"
89	"Undocumented"
91	"Psychology technicians"
101	"Chemists, biochemists, and pharmacists"
102	"Biologists"
103	"Other chemists and biologists not specified above"
110	"Technicians related to chemistry and biology"
111	"Biology technicians"
112	"Other technicians related to chemistry and biology not specified above"
120	"Mathematicians, physicists, and astronomers"
121	"Mathematicians"
122	"Physicists and astronomers"
123	"Other mathematicians and physicists not classified above"
130	"Technicians related to mathematics, physics, and astronomy"
132	"Physics technicians"
133	"Other technicians related to mathematics and physics not specified above"
140	"Professionals dedicated to the fine arts, writers, sculptors, painters, artists and similar professionals"
141	"Literary authors"
142	"Painters, sculptors, and similar"
143	"Decorators"
144	"Music composers and singers"
145	"Choreographers and dancers"
146	"Actors and directors"
147	"Other professionals of the arts not specified above"
150	"Religious and persons in similar activities"
151	"Priests, ministers, or clerics of any religion"
152	"Other persons in related occupations"
160	"Athletes, sportsmen, bull fighters and persons in related occupations"
161	"Professional sportsmen and athletes"
162	"Bullfighters"
163	"Sports umpires, judges, and trainers"
171	"Photographers and cameramen"
172	"Translators and interpreters"
173	"Other professionals not classified above"
174	"Professionals not sufficiently specified"
180	"Other technicians not classified above"
181	"Other technicians not classified above"
182	"Technicians insufficiently specified"
200	"Higher level public officials and of directive category in public administration"
201	"Higher level public officials"
202	"Public officials of directive category"
209	"Other directive personnel in federal and state governments"
210	"Managers, directive personnel in private businesses, state businesses, or decentralized organisms"
211	"Managers, sub managers, general directors and sub directors"
212	"Directive personnel in personnel administration"
213	"Directive personnel in accounting, credit, finances, sales, and purchasing"
214	"Directive personnel in production and quality control"
215	"Directive personnel of other specialties"
216	"Directive personnel not specified above"
220	"Administrators and personnel in similar occupations"
221	"Agricultural administrators"
222	"Administrators and representatives (not agricultural)"
231	"Owners of agricultural, cattle production units and hunting and fishing businesses"
240	"Owners of industrial companies and businesses"
241	"Owners of industrial businesses"
250	"Owners of commercial service and sports companies and businesses"
251	"Owners of businesses"
252	"Owners of service businesses or companies"
253	"Owners of transportation businesses or companies"
260	"Owners insufficiently specified"
261	"Owners insufficiently specified"
300	"Employees in accounting, cashiers, and operators of accounting and statistical machinery"
301	"Accounting assistants and employees"
302	"Cashiers, accounts payable and collection"
303	"Operators of accounting and calculating machinery"
304	"Operators of machinery for perforation and automatic data collection on cards or tapes"
310	"Short hand writers and typists"
311	"Short hand writers and typists"
320	"Mailmen and messengers, employees of correspondence and archives"
321	"Mailmen and messengers"
322	"Mail sorters"
323	"Employees of correspondence and archives"
330	"Telephone and telegraph operators"
331	"Telephone operators"
332	"Telegraph operators and teletypists"
333	"Operators of radio communication equipment"
341	"Receptionists and employees in travel agencies"
342	"Employees in charge of planning and registering stock and supplying materials and merchandize"
345	"Inspectors and supervisors"
349	"Administrative personnel and non-classified workers"
391	"Administrative employees insufficiently detailed"
400	"Businessmen and salesmen"
401	"Businessmen"
402	"Buyers and buying agents"
403	"Salesmen and sales clerks"
404	"Traveling salesmen and house-to-house salesmen of every type (candy, ice cream, fruit, tamales, sweets, gum salesmen, money changers, etc.)/ House-to-house salesmen, of every type (credit sales, used clothing)/Childcare provider"
405	"Traveling newspaper venders"
410	"Sales agents and representatives"
411	"Commission and consignment vendors"
412	"Factory and business representatives"
413	"Real estate agents and vendors"
414	"Bond and insurance agents and vendors"
500	"Protection and guard service workers"
501	"Firemen"
502	"Detectives and police guards and watchmen"
510	"Workers in personal and domestic services"
511	"Housekeepers, cooks and similar workers"
512	"Bartenders, barmen, and similar workers"
513	"Butlers in domestic services and similar workers"
520	"Washerwomen, pressers, dyers, and similar workers"
521	"Washerwomen, pressers, and dyers in cleaning businesses"
522	"Washerwomen and pressers in households and self-employed"
530	"Hairdressers, barbers, beauticians and similar workers"
531	"Hairdressers and barbers"
532	"Beauticians, hair stylists, manicurists and make-up artists"
533	"Bath attendants, massage therapists and similar"
540	"Doormen, concierges, elevator operators, cleaning employees and similar"
541	"Doormen and concierges"
542	"Elevator operators"
543	"Errand runners, cleaners, housekeepers, and workers in similar occupations"
551	"Navigation pilots (aviation)"
552	"Deck officials and pilots (maritime and fluvial navigation)"
553	"Machinist officers and other similar occupation (maritime and fluvial navigation)"
560	"Drivers of land transportation vehicles and similar workers"
561	"Locomotive machinists"
562	"Conductors of electrical land vehicles"
563	"Drivers of autobuses and trucks"
564	"Conductors and drivers of automobiles"
565	"Rental vehicle driver"
566	"Operators of traffic control points"
569	"Other drivers and dispatchers"
571	"Army (land forces)"
572	"Navy (sea forces)"
573	"Air force"
581	"Customs and transportation agents"
582	"Publicity agents and advertising agents"
583	"Persons dedicated to rental of property and real estate"
590	"Workers in other services"
591	"Persons who prepare and serve food on the streets"
592	"Shoe cleaners and shoe shiners"
593	"Guides"
594	"Embalmers, workers in funeral homes and workers in cemeteries"
595	"Deliverymen"
596	"Goat herders"
597	"Workers in services not classified above"
599	"Workers in services insufficiently specified"
600	"Workers in agricultural activities"
601	"Workers in the units of agricultural, ranching, and common land production"
602	"Operators and drivers of agricultural vehicles in the production units and common lands"
603	"Workers in green houses, nurseries and seed farms"
609	"Workers in the units of agricultural, ranching, and common land production not listed above"
610	"Forestry workers and workers in similar occupations"
611	"Forestry workers and persons in similar occupations"
612	"Persons with occupations in the production of charcoal, firewood collection, and similar occupations"
613	"Rubber producers, rubber collectors, gum collectors, and similar workers"
621	"Fishermen"
630	"Hunters, trap setters, and persons in similar occupations"
631	"Hunters and trap setters"
700	"Miners, quarry workers, and similar workers"
701	"Miners and quarry workers"
702	"Workers in the treatment of minerals and stones"
703	"Workers in the treatment of minerals and stones not specified above"
710	"Well diggers, workers in the extraction of petroleum and natural gas and similar workers"
711	"Oil and natural gas well diggers"
712	"Workers in the extraction of petroleum and natural gas"
713	"Other diggers of specific wells"
728	"Galvanizers and other metal coaters"
729	"Metallurgy workers not classified above"
731	"Workers in wood treatments"
732	"Lumber workers, operators of machinery for manufacture of plywood, and similar workers"
733	"Preparers of paper paste"
740	"Workers in chemical treatments and similar workers"
741	"Operators of machinery for crushing, shredding and mixing"
742	"Operators of thermal installations for chemical treatments"
743	"Operators of filtration and separation appliances"
744	"Operators of distilling and reaction appliances"
745	"Workers in petroleum refining"
749	"Workers in chemical treatments and similar workers not classified above"
750	"Spinners, weavers, dyers and similar workers"
751	"Fiber preparers"
752	"Spinners and bobbin winders"
753	"Loom adjusters and card preparers for weaving"
754	"Weavers and similar workers"
755	"Knitters"
756	"Bleachers, dyers, and finishing workers of textile products"
757	"Spinners, weavers, dyers and similar workers not classified above"
759	"Weavers, spinners, dyers and similar workers not classified above"
760	"Workers in the preparation, tanning and treating skins"
761	"Tanners"
762	"Leather workers and similar workers"
763	"Workers in the preparations of skins and leather not classified above"
771	"Millers and similar workers"
772	"Workers in sugar manufacture and refining"
773	"Slaughterers and butchers"
774	"Workers in food conservation"
775	"Workers in milk treatment and manufacture of dairy products"
776	"Breadmakers and pastry makers"
777	"Beer makers and workers in the manufacture of wines and beverages"
778	"Tortilla makers"
779	"Workers in the manufacture of foods and beverages not classified elsewhere"
781	"Tobacco preparers"
782	"Workers in the manufacture of cigarettes and cigars"
789	"Tobacco workers not classified elsewhere"
790	"Tailors, dressmakers, upholsterers and similar workers"
791	"Designers and cutters"
792	"Sewers and embroiderers"
793	"Tailors and dressmakers"
794	"Upholsterers and similar workers"
799	"Tailors, upholsterers and similar workers not classified elsewhere"
801	"Shoemakers"
802	"Footwear workers"
803	"Other workers of natural and artificial leather"
810	"Cabinetmakers, metal workers, wood workers, and similar workers"
811	"Cabinetmakers and other wood workers"
812	"Operators of machinery for wood working"
813	"Blacksmiths and forge workers"
814	"Specialized mechanics and tool and press adjusters"
815	"Adjusters and operators of tool machinery"
816	"Metal polishers and tool sharpeners"
817	"Workers in metal working not classified above"
818	"Stone workers and decorators"
820	"Adjusters, assemblers, and installers of machinery and precision instruments, watchmakers and mechanics (except electricians)"
821	"Adjusters, assemblers, and installers of machinery"
822	"Watchmakers and precision instrument mechanics"
823	"Motor vehicle technicians"
824	"Airplane mechanics"
825	"Mechanics (except electricians) not classified above"
826	"Maintenance mechanics and workers"
830	"Electricians, electronics workers, and similar workers"
831	"Electrical adjusters"
832	"Electronics adjusters"
833	"Assemblers of electrical and electrical equipment"
834	"Radio and television receptor repairmen"
835	"Electricians"
836	"Telephone and telegraph installers"
837	"Installers of electrical lines and telecommunications"
839	"Electricians, electronics workers, and similar workers not classified above"
840	"Operators of radio and television transmitters and cinema sound and projection equipment"
841	"Operators of radio and television transmitters"
842	"Operators of cinema sound and projection equipment"
851	"Pipe fitters ad tube installers"
852	"Welders and oxifuel cutters"
853	"Tin sheeting workers, laminators, boilermakers, and copper workers and similar"
854	"Metal structure assemblers"
860	"Jewelers and goldsmiths"
861	"Jewelers and silversmiths"
870	"Glass and pottery workers and similar workers"
871	"Glass blowers, molders, laminators, cutters and polishers"
872	"Potters and similar workers"
873	"Kiln workers"
874	"Glass engravers"
879	"Glass, pottery and similar workers not classified above"
880	"Workers in the manufacture of rubber and plastic products"
881	"Workers in the manufacture of rubber and plastic products (except tires)"
882	"Workers in the manufacture and retreading of tires"
890	"Workers in the manufacture of paper and cardboard products"
891	"Workers in the manufacture of paper and cardboard products"
900	"Workers in graphic arts and photo developing"
901	"Print setters, typographers and similar workers"
902	"Operators of printing presses"
903	"Print recorders (except photo engravers)"
904	"Photoengravers"
905	"Bonders and similar workers"
906	"Workers in cinema and photographic laboratories"
909	"Graphic arts workers not classified above"
910	"Construction workers and painters"
911	"Construction laborers"
912	"Workers in the manufacture of reinforced concrete and cement finishing"
913	"Roofers"
914	"Carpenters"
915	"Plasterers"
916	"Insulation installers"
917	"Window installers"
918	"Painters"
919	"Construction workers not classified above"
920	"Operators of energy machinery, fixed machinery and similar installations"
921	"Operators of installations for production of electrical energy"
922	"Operators of fixed machinery and similar installations"
930	"Workers in manipulation of merchandize and materials and movement of dirt"
931	"Stackers, loaders, and packers"
932	"Cable liners and packers"
933	"Drivers of cranes and operators of elevation equipment"
934	"Drivers of machinery for moving dirt and similar machinery"
935	"Bottlers and canners"
936	"Workers in manipulation of merchandize and materials and movement of dirt"
940	"Manufacturing laborers and similar workers not classified above"
941	"Musical instrument manufacturers"
942	"Basket makers and similar workers"
943	"Workers in the manufacture of non-metal mineral products"
944	"Other manufacturing workers and similar workers"
949	"Unspecified artisans"
950	"Unspecified laborers"
959	"Unspecified laborers"
989	"Persons who are economically active who declared insufficiently specific occupations"
990	"Persons who are economically active but did not declare an occupation"
997	"Non-identifiable occupations"
999	"Unknown/missing"  ;

#delimit cr 

**This do file was created as part of the Economic and Social Research Council funded project:
**Social Networks and Occupational Structure (ESRC grant no: RES-062-23-2497)
**Paul Lambert and Dave Griffiths, University of Stirling
*For more information on the project, see http://www.camsis.stir.ac.uk/sonocs/

 
